/*****************************************************************************
 ASC0_1.c
 
 This example program initialize the Asynchronous/Synchronous Serial 
 Interface 0 in Asynchronous Mode with 8-bit data, one Stop bit, no 
 Parity and set Baudrate to 9600 baud.

			      			 PHYTEC Messtechnik GmbH, 2000
 ******************************************************************************/
/* ----- Include Dateien: --------------------------------------------------- */
#include <REG167.H>                    /* Define register for C167            */
#include <STDIO.H>     		       /* Standard I/O functions  	      */


/* ----- Code: main Programm: ----------------------------------------------- */
void main ( )
{
/* init serial0 port: Asynchronous Mode 8-bit Data, one Stop bit, no Parity   */  
  P3  |= 0x0400;                       /* set port 3.10 output latch (TXD)    */
  DP3 |= 0x0400;                       /* configure port 3.10 for output      */
                                       /* operation. ( TXD output)            */
  DP3 &= 0xF7FF;                       /* configure port 3.11 for input       */
                                       /* operation. ( RXD input)             */
  S0TIC  = 0x80;                       /* set transmit interrupt flag         */
  S0RIC  = 0x00;                       /* delete receive interrupt flag       */
  S0BG   = 0x40;                       /* set baudrate to 9600 baud           */
  S0CON  = 0x8011;                     /* set serial mode                     */
/*  end of init serial0 port:         			                      */

/* ------------ Your programm code ------------------------------------------ */
/* - Example - */
  putchar(' ');                        /* send dummy-Byte for compatibility   */

  printf("\x1AHello World\n");         /* print 'Hello World' to the serial   */
                                       /* port.                               */
  while (1)                            /* An embedded program without any     */
  {                                    /* operating system usually does not   */
                                       /* stop and never returns.             */
                                       /* We've used an endless loop in this  */
                                       /* example.                            */
  printf("  char = %X\n",getchar());   /* print the two digit hex code of     */
                                       /* any received character              */
  }
/* ----- Ende: -------------------------------------------------------------- */
}